Bug 64279 - pppdcapi plugin don't work with pppd-2.4.1
pppdcapi plugin don't work with pppd-2.4.1
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-05-01 09:50 EDT by Nikola Ciprich
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-05 16:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikola Ciprich 2002-05-01 09:50:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
pppdcapiplugin don't work with neither pppd-2.4.1 contained in distribution, nor
with any other 2.4.1(even compiled from source). 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. running pppd call isdn/arcor (contained in standard distro)

Actual Results:  2. prints message that there is no version information available
3. and that module LOADS SUCCESSFULY, but it doesn't work
(ppp complains that it doesnt know options like 'protocol' etc which are
implemented in capiplugin(and which work if i use ppp 2.4.0).

Expected Results:  it should run without problems :)

Additional info:

problem is that pppd.h file that is included is really old - about a year older
than that included in ppp-2.4.1
Comment 1 Ngo Than 2002-06-14 14:43:43 EDT
it's fixed in isdn4k-utils-3.1-55.

Note You need to log in before you can comment on or make changes to this bug.